%define upstream_name    CatalystX-CRUD
%define upstream_version 0.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    CRUD framework for Catalyst applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Component::ACCEPT_CONTEXT)
BuildRequires: perl(Catalyst::Exception)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Search::QueryParser::SQL)
BuildRequires: perl(Sort::SQL)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This document is an overview of the CatalystX::CRUD framework and API.

CatalystX::CRUD provides a simple and generic API for Catalyst CRUD
applications. CatalystX::CRUD is agnostic with regard to data model and
data input, instead providing a common API that different projects can
implement for greater compatability with one another.

The project was born out of a desire to make Rose::HTML::Objects easy to
use with Rose::DB::Object and DBIx::Class ORMs, using the
Catalyst::Controller::Rose project. However, any ORM could implement the
CatalystX::CRUD::Model API, and any form management project could use the
resulting CatalystX::CRUD::Model subclass.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.570.0-3pclos2017
- rebuild against updates

